import { PropType } from 'vue';
import { IWorkflowJson } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    appId: {
        type: StringConstructor;
    };
    id: {
        type: StringConstructor;
    };
    title: {
        type: StringConstructor;
    };
    processInfo: {
        type: ObjectConstructor;
        default: () => {};
    };
    data: {
        type: PropType<IWorkflowJson>;
    };
    doRefresh: {
        type: FunctionConstructor;
    };
    hideOpers: {
        type: BooleanConstructor;
    };
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
    beforeSave: {
        type: FunctionConstructor;
    };
    propertiesConfig: {
        type: ObjectConstructor;
    };
    readonly: {
        type: BooleanConstructor;
    };
    getDefaultWfDefinition: {
        type: FunctionConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        processInfo: Record<string, any>;
        hideOpers: boolean;
        mode: string;
        enableInnerSave: boolean;
        readonly: boolean;
    } & {
        data?: IWorkflowJson | undefined;
        appId?: string | undefined;
        id?: string | undefined;
        title?: string | undefined;
        doRefresh?: Function | undefined;
        beforeSave?: Function | undefined;
        propertiesConfig?: Record<string, any> | undefined;
        getDefaultWfDefinition?: Function | undefined;
    }>>>;
    emit: (event: "on-change" | "on-save" | "on-publish" | "on-before-save", ...args: any[]) => void;
    _id: import("vue").Ref<string | undefined>;
    content: import("vue").Ref<string | undefined>;
    fullscreen: import("vue").Ref<boolean>;
    canRevert: import("vue").Ref<boolean>;
    canRedo: import("vue").Ref<boolean>;
    saving: import("vue").Ref<boolean>;
    publishing: import("vue").Ref<boolean>;
    mode: import("vue").Ref<string>;
    hasChange: import("vue").Ref<boolean>;
    refDesigner: import("vue").Ref<any>;
    hasCodeChange: import("vue").Ref<boolean>;
    loaded: import("vue").Ref<boolean>;
    code: import("vue").Ref<any>;
    appId: string | undefined;
    originalMeta: import("vue").Ref<Record<string, any> | undefined>;
    getContent: (mode: string) => Promise<{
        data: string | undefined;
        meta: {
            [x: string]: any;
        };
        processInfo: any;
    }>;
    save: () => Promise<void>;
    publish: () => Promise<void>;
    refresh: () => Promise<void>;
    onChange: () => void;
    reload: () => Promise<void>;
    doSelect: (code: 'page' | 'fun', optionalAppId?: string | undefined) => Promise<unknown>;
    onCodeChange: (c: string) => void;
    CodeEditor: import("vue").DefineComponent<{
        id: {
            type: StringConstructor;
        };
        data: {
            type: StringConstructor;
        };
        readonly: {
            type: BooleanConstructor;
        };
        showHeader: {
            type: BooleanConstructor;
            default: boolean;
        };
        type: {
            type: StringConstructor;
            enums: string[];
            default: string;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            type: string;
            readonly: boolean;
            showHeader: boolean;
        } & {
            data?: string | undefined;
            id?: string | undefined;
        }>>>;
        emit: (event: "on-change" | "on-save", ...args: any[]) => void;
        id: import("vue").Ref<string | undefined>;
        data: import("vue").Ref<string | undefined>;
        isString: boolean;
        code: import("vue").Ref<any>;
        componentType: () => Promise<typeof import("@fly-vue/fuse-ui-codemirror/@types/components/json-editor.vue")>;
        first: boolean;
        getCode: () => any;
        onClick: (name: string) => void;
        stringify: (value: any) => any;
        parse: (value: any) => any;
        CodeEditorHeader: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            emit: (event: "on-click", ...args: any[]) => void;
            list: import("vue").Ref<string[]>;
            onClick: (item: string) => void;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            Space: import("vue").DefineComponent<{}, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            IconBtn: import("vue").DefineComponent<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                iconHover: {
                    type: StringConstructor;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                iconSize: {
                    type: StringConstructor;
                };
                tips: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
                emit: (event: "click", ...args: any[]) => void;
                hover: import("vue").Ref<boolean>;
                onClick: (event: any) => void;
                LcView: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | undefined;
                        selected?: boolean | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-wrap': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        selected: boolean | undefined;
                    }>;
                    style: import("vue").ComputedRef<{}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                }>>, {
                    selected: boolean;
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                }>;
                Icon: import("vue").DefineComponent<{
                    icon: null;
                    size: null;
                    color: null;
                }, {
                    __sfc: boolean;
                    props: {
                        icon: string;
                        size?: string | undefined;
                        color?: string | undefined;
                    };
                    isIdeIcon: import("vue").ComputedRef<boolean>;
                    isProIcon: import("vue").ComputedRef<boolean>;
                    isIdesIcon: import("vue").ComputedRef<boolean>;
                    isLcIcon: import("vue").ComputedRef<boolean>;
                    colorMap: Record<string, string>;
                    color: import("vue").ComputedRef<string>;
                    IdeIcon: import("vue").DefineComponent<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }, {
                        __sfc: boolean;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                        icon: {
                            type: StringConstructor;
                            required: true;
                        };
                        size: {
                            type: StringConstructor;
                            default: string;
                        };
                        color: {
                            type: StringConstructor;
                        };
                    }>>, {
                        size: string;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    icon: null;
                    size: null;
                    color: null;
                }>>, {}>;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                iconHover: {
                    type: StringConstructor;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                iconSize: {
                    type: StringConstructor;
                };
                tips: {
                    type: StringConstructor;
                };
            }>>, {
                size: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-click"[], string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>>>;
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean;
                'ui-justify-center': boolean;
                'ui-flex-grow': boolean;
                'ui-h-0': boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-change" | "on-save")[], string, Readonly<import("vue").ExtractPropTypes<{
        id: {
            type: StringConstructor;
        };
        data: {
            type: StringConstructor;
        };
        readonly: {
            type: BooleanConstructor;
        };
        showHeader: {
            type: BooleanConstructor;
            default: boolean;
        };
        type: {
            type: StringConstructor;
            enums: string[];
            default: string;
        };
    }>>, {
        type: string;
        readonly: boolean;
        showHeader: boolean;
    }>;
    Icon: import("vue").DefineComponent<{
        icon: null;
        size: null;
        color: null;
    }, {
        __sfc: boolean;
        props: {
            icon: string;
            size?: string | undefined;
            color?: string | undefined;
        };
        isIdeIcon: import("vue").ComputedRef<boolean>;
        isProIcon: import("vue").ComputedRef<boolean>;
        isIdesIcon: import("vue").ComputedRef<boolean>;
        isLcIcon: import("vue").ComputedRef<boolean>;
        colorMap: Record<string, string>;
        color: import("vue").ComputedRef<string>;
        IdeIcon: import("vue").DefineComponent<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            color: {
                type: StringConstructor;
            };
        }, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            color: {
                type: StringConstructor;
            };
        }>>, {
            size: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        icon: null;
        size: null;
        color: null;
    }>>, {}>;
    Fullscreen: import("vue").DefineComponent<{
        value: {
            type: BooleanConstructor;
        };
        showTips: {
            type: BooleanConstructor;
        };
        showCancelBtn: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            value: boolean;
            showTips: boolean;
            showCancelBtn: boolean;
        }>>>;
        emit: (event: "input", ...args: any[]) => void;
        propsValue: import("vue").Ref<boolean>;
        message: any;
        enabled: import("vue").Ref<boolean>;
        fullscreen: (v: boolean) => void;
        cancel: () => void;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: BooleanConstructor;
        };
        showTips: {
            type: BooleanConstructor;
        };
        showCancelBtn: {
            type: BooleanConstructor;
        };
    }>>, {
        value: boolean;
        showTips: boolean;
        showCancelBtn: boolean;
    }>;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    Link: import("vue").DefineComponent<{
        icon: null;
        size: {
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
        };
        loading: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        emit: (event: "click", ...args: any[]) => void;
        onClick: (e: any) => void;
        Icon: import("vue").DefineComponent<{
            icon: null;
            size: null;
            color: null;
        }, {
            __sfc: boolean;
            props: {
                icon: string;
                size?: string | undefined;
                color?: string | undefined;
            };
            isIdeIcon: import("vue").ComputedRef<boolean>;
            isProIcon: import("vue").ComputedRef<boolean>;
            isIdesIcon: import("vue").ComputedRef<boolean>;
            isLcIcon: import("vue").ComputedRef<boolean>;
            colorMap: Record<string, string>;
            color: import("vue").ComputedRef<string>;
            IdeIcon: import("vue").DefineComponent<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }>>, {
                size: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            icon: null;
            size: null;
            color: null;
        }>>, {}>;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
        icon: null;
        size: {
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
        };
        loading: {
            type: BooleanConstructor;
        };
    }>>, {
        size: string;
        loading: boolean;
        disabled: boolean;
    }>;
    Space: import("vue").DefineComponent<{}, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-change" | "on-save" | "on-publish" | "on-before-save")[], string, Readonly<import("vue").ExtractPropTypes<{
    appId: {
        type: StringConstructor;
    };
    id: {
        type: StringConstructor;
    };
    title: {
        type: StringConstructor;
    };
    processInfo: {
        type: ObjectConstructor;
        default: () => {};
    };
    data: {
        type: PropType<IWorkflowJson>;
    };
    doRefresh: {
        type: FunctionConstructor;
    };
    hideOpers: {
        type: BooleanConstructor;
    };
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
    beforeSave: {
        type: FunctionConstructor;
    };
    propertiesConfig: {
        type: ObjectConstructor;
    };
    readonly: {
        type: BooleanConstructor;
    };
    getDefaultWfDefinition: {
        type: FunctionConstructor;
    };
}>>, {
    processInfo: Record<string, any>;
    hideOpers: boolean;
    mode: string;
    enableInnerSave: boolean;
    readonly: boolean;
}>;
export default _default;
